import { PlanetDescription, SunDescription } from "src/astres/types";

export const bigSolarSystem: (PlanetDescription | SunDescription)[] = [
  {
    name: "Sun",
    type: "sun",
    width: 11,
    distance: 0,
    startAngle: 0,
    rotateSpeed: 0,
    color: "rgb(255,180,40)",
  },
  {
    name: "Mercure",
    type: "planet",
    width: 0.32,
    distance: 6.4,
    rotateSpeed: 1.7,
    color: "rgb(180, 144, 88)",
    origin: "Sun",
  },
  {
    name: "Earth",
    type: "planet",
    width: 0.95,
    distance: 11.2,
    rotateSpeed: 1,
    color: "rgb(19,102,150)",
    origin: "Sun",
  },
  {
    name: "Moon",
    type: "planet",
    width: 0.24,
    distance: 1.6,
    rotateSpeed: 2,
    color: "rgb(200, 200, 200)",
    origin: "Earth",
  },
  {
    name: "Mars",
    type: "planet",
    width: 0.64,
    distance: 16,
    rotateSpeed: 0.66,
    color: "rgb(233, 88, 26)",
    origin: "Sun",
  },
  {
    name: "Jupiter",
    type: "planet",
    width: 2.4,
    distance: 20,
    rotateSpeed: 0.46,
    color: "rgb(169, 109, 45)",
    origin: "Sun",
  },
  {
    name: "Saturne",
    type: "planet",
    width: 1.6,
    distance: 28,
    rotateSpeed: 0.36,
    color: "rgb(164,127,84)",
    origin: "Sun",
  },
  {
    name: "Uranus",
    type: "planet",
    width: 0.64,
    distance: 30,
    rotateSpeed: 0.33,
    color: "rgb(84,149,164)",
    origin: "Sun",
  },
  {
    name: "Netpune",
    type: "planet",
    width: 0.48,
    distance: 33.5,
    rotateSpeed: 0.3,
    color: "rgb(36,82,154)",
    origin: "Sun",
  },
];
