import { PlanetDescription, SunDescription } from "src/astres/types";

export const smallSolarSystem: (PlanetDescription | SunDescription)[] = [
  {
    name: "Sun",
    type: "sun",
    width: 3.2,
    distance: 28,
    startAngle: 0,
    rotateSpeed: 0.33,
    color: "rgb(255,180,40)",
  },
  {
    name: "Mercure",
    type: "planet",
    width: 0.32,
    distance: 4.2,
    rotateSpeed: 1.7,
    color: "rgb(180, 144, 88)",
    origin: "Sun",
  },
  {
    name: "Earth",
    type: "planet",
    width: 0.96,
    distance: 9.6,
    rotateSpeed: 1,
    color: "rgb(19,102,150)",
    origin: "Sun",
  },
  {
    name: "Moon",
    type: "planet",
    width: 0.24,
    distance: 3.2,
    rotateSpeed: 1.12,
    color: "rgb(200, 200, 200)",
    origin: "Earth",
  },
  {
    name: "Mars",
    type: "planet",
    width: 0.64,
    distance: 12.8,
    rotateSpeed: 0.66,
    color: "rgb(233, 88, 26)",
    origin: "Sun",
  },
  {
    name: "Jupiter",
    type: "planet",
    width: 1.44,
    distance: 17.6,
    rotateSpeed: 0.46,
    color: "rgb(169, 109, 45)",
    origin: "Sun",
  },
  {
    name: "Saturne",
    type: "planet",
    width: 1.2,
    distance: 24,
    rotateSpeed: 0.36,
    color: "rgb(164,127,84)",
    origin: "Sun",
  },
  {
    name: "Uranus",
    type: "planet",
    width: 0.64,
    distance: 25.6,
    rotateSpeed: 0.33,
    color: "rgb(84,149,164)",
    origin: "Sun",
  },
  {
    name: "Netpune",
    type: "planet",
    width: 0.42,
    distance: 27.2,
    rotateSpeed: 0.3,
    color: "rgb(36,82,154)",
    origin: "Sun",
  },
];
